Bug 130171 - Add pdsh to distro
Add pdsh to distro
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: distribution (Show other bugs)
All Linux
medium Severity medium
: rc
: ---
Assigned To: RHEL Product and Program Management
Cluster QE
: FutureFeature, Reopened
Depends On:
Blocks: 130530
  Show dependency treegraph
Reported: 2004-08-17 14:19 EDT by Dave Maley
Modified: 2010-10-21 22:35 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-13 14:00:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Comment 1 Dave Maley 2004-08-17 14:19:10 EDT
$ rpm -qpi pdsh-1.7.6-72.i586.rpm
warning: pdsh-1.7.6-72.i586.rpm: V3 DSA signature: NOKEY, key ID 9c800aca
Name        : pdsh                 Relocations: (not relocateable)
Version     : 1.7.6                Vendor: SuSE Linux AG, Nuernberg, Germany
Release     : 72                   Build Date: Tue 23 Sep 2003 02:40:49 PM PDT
Install Date: (not installed)      Build Host: Shull.suse.de
Group       : Productivity/Clustering/Computing   
Source RPM  : pdsh-1.7.6-72.src.rpm
Size        : 149930                           License: GPL
Signature   : DSA/SHA1, Tue 23 Sep 2003 03:29:36 PM PDT, Key ID a84edae89c800aca
Packager    : http://www.suse.de/feedback
URL         : http://www.llnl.gov/linux/pdsh/
Summary     : Parallel remote shell program
Description :
Pdsh is a multithreaded remote shell client which executes commands on multiple
remote hosts in parallel.  Pdsh can use several different remote shell services,
including standard "rsh", Kerberos IV, and ssh.

   Jim Garlick <garlick@llnl.gov>
Comment 2 Dave Maley 2004-08-17 14:25:03 EDT
The big advantages of pdsh really kick in when you combine it with genders (bug
130173).  That would give us a substantial advantage over SuSE.
Comment 5 Dave Maley 2004-10-27 12:37:07 EDT
rperkins posted this request in the associated IT ticket:

>This is a tough one.
>Please fill out the applicable portions the featurezilla template at:

This _is_ FZ for this request.  No need for another.

>Specifically, we need to know what the status is upstream, what kind of target 
>architectures and platforms this would be for, etc.

Upstream is LLNL for this package.  This is not a kernel feature, it is a
user-space tool.  See the URL in the initial request for the upstream homepage.

Comment 14 Benjamin Kahn 2006-09-14 15:10:33 EDT
The cluster-5.0 flag is going away....
Comment 16 Kiersten (Kerri) Anderson 2007-04-23 13:27:00 EDT
Fixing Product Name.  Cluster Suite was integrated into the Enterprise Linux for
version 5.0.
Comment 17 RHEL Product and Program Management 2007-04-25 19:24:36 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 18 Kiersten (Kerri) Anderson 2007-05-03 13:47:30 EDT
Is this still a consideration for 5.1?  Would have to be a package add and need
someone to support it.
Comment 19 Kiersten (Kerri) Anderson 2007-05-03 13:56:54 EDT
Also, since this is adding a package, changing component to distribution and
reassigning it to someone in pm.
Comment 28 Bill Nottingham 2008-10-09 14:47:24 EDT
Honestly, I think for RHEL 6 we'd use something like Func if we were going to go down this road.
Comment 29 Christopher D. Maestas 2008-11-11 22:39:10 EST
Can we include this in EPEL?  I would like to work on becoming the maintainer.
I'm not discounting func, but the functionality with pdsh very useful for forking parallel commands with ssh, rsh, and general exec.
Comment 30 Bill Nottingham 2008-11-12 11:29:42 EST
There is nothing that prevents a willing maintainer from maintaining a properly-licensed open-source package in EPEL.
Comment 31 RHEL Product and Program Management 2009-05-19 18:46:22 EDT
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request.
Comment 34 Daniel Riek 2009-05-29 13:14:04 EDT
This enhancement request was evaluated by Red Hat Product Management for inclusion a Red Hat Enterprise Linux major release.

Red Hat does not currently plan to provide this enhanced functionality in the next Red Hat Enterprise Linux major release.

Red Hat values your feedback and will take this enhancement request into consideration for future major releases of Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.